Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1047527 - (sabre-http) Review Request: php-sabre-http - Library for dealing with http requests and responses
Review Request: php-sabre-http - Library for dealing with http requests and r...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
:
Depends On: sabre-event
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-31 09:42 EST by Remi Collet
Modified: 2014-01-07 02:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 02:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmarrero: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-12-31 09:42:24 EST
https://raw.github.com/remicollet/remirepo/aa9026b69254ef4c9a21d3370d0547c9ce40e97c/php/sabredav/php-sabre-http/php-sabre-http.specSpec URL: 
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-sabre-http-1.0.0-0.1.alpha5.remi.src.rpm
Description: 
This library provides a toolkit to make working with the HTTP protocol easier.

Most PHP scripts run within a HTTP request but accessing information about
the HTTP request is cumbersome at least, mainly do to superglobals and the
CGI standard.

There's bad practices, inconsistencies and confusion.
This library is effectively a wrapper around the following PHP constructs:

For Input:
    $_GET
    $_POST
    $_SERVER
    php://input or $HTTP_RAW_POST_DATA.

For output:
    php://output or echo.
    header()

What this library provides, is a Request object, and a Response object.
The objects are extendable and easily mockable.

Fedora Account System Username: remi
Comment 3 Remi Collet 2013-12-31 11:19:42 EST
I differ this one. (only requires by sabre-dav 1.9 and I plan to submit only 1.8)
Comment 4 Joseph Marrero 2014-01-04 23:28:30 EST
License: OK
Macros: OK
Install: OK
Naming: OK
Sources: OK
Scriptlets: OK

APPROVED
Comment 5 Remi Collet 2014-01-05 01:47:42 EST
Thanks again !

New Package SCM Request
=======================
Package Name: php-sabre-http
Short Description: Library for dealing with http requests and responses
Owners: remi
Branches: f19 f20 el6
InitialCC:
Comment 6 Remi Collet 2014-01-05 01:48:25 EST
of course, I will wait for sabre-dav 1.9 before pushing this package.
Comment 7 Gwyn Ciesla 2014-01-06 08:42:36 EST
Git done (by process-git-requests).
Comment 8 Remi Collet 2014-01-07 02:54:42 EST
Only imported in rawhide for now (will be push when needed in other branches by php-sabre-dav 1.9).

Note You need to log in before you can comment on or make changes to this bug.